Subject: Posters returned
From: "LLPS -Michael B" <[email-masked]>
To: "Cyndi Mounday" <[email-masked]>
Date: Thu, 22 Dec 2011 11:37:06 -0500

Hi Cyndi.
I had 4 sets of posters returned.  All of them stating they need better addresses.  Can you please provide updates and/or confirm addresses for the following:

Order # 1378503 (No such number)
Lynn
Advanced Infusion
466 W. Arrow Hwy. Unit H
El Monte, CA 91733

Order #1378671  (Unable to deliver as addressed)
Corrinne
Dirty Jobs Cleanup
17521 E. Starflower Ct.
Queen Creek, AZ 85242

Order #1379103 (Unable to deliver as addressed)
Glenn
Stoneman Law Offices LTD
3113 N. 3rd. St.
Phoenix, AZ 85012-2601

Order #1379110 (Not deliverable as addressed, need PO box number)
Melissa
The Crosby Estates
8011 Del Dios Hwy
Rancho Santa Fe, CA 92067

If you could send those over, I can get them resent out.  Also, please update those addresses in your spreadsheet for next time.  I will update my database but the addresses submitted will override anything I have on hand.  Much appreciated! 
Thank you,
Michael B
LLPS